| DocBook: The Definitive Guide 2.0.17 (Alpha)

# listitem

$Revision$

$Date$

listitem — A wrapper for the elements of a list item

## Synopsis

### Content Model

    listitem ::=
    ((calloutlist|glosslist|bibliolist|itemizedlist|orderedlist|
      segmentedlist|simplelist|variablelist|caution|important|note|
      tip|warning|literallayout|programlisting|programlistingco|
      screen|screenco|screenshot|synopsis|cmdsynopsis|funcsynopsis|
      classsynopsis|fieldsynopsis|constructorsynopsis|
      destructorsynopsis|methodsynopsis|formalpara|para|simpara|
      address|blockquote|graphic|graphicco|mediaobject|mediaobjectco|
      informalequation|informalexample|informalfigure|informaltable|
      equation|example|figure|table|msgset|procedure|sidebar|qandaset|
      task|productionset|constraintdef|anchor|bridgehead|remark|
      highlights|abstract|authorblurb|epigraph|indexterm|beginpage)+)

### Attributes

Common attributes

Name | Type | Default
override | CDATA | None

## Description

The `ListItem` element is a wrapper around an item in a list. In an `ItemizedList` or an `OrderedList`, the `ListItem` surrounds the entire list item. In a `VariableList`, `ListItem` surrounds the “definition” part of the list item.

### Processing expectations

Formatted as a displayed block. List items usually generate the appropriate mark (a number or bullet) and appear indented, next to the mark. In a `VariableList`, the presentation may be influenced by the length of the `Term` or `Term`s that precede the list item and by attributes on the list itself.

### Parents

These elements contain listitem: `itemizedlist`, `orderedlist`, `varlistentry`.

### Children

The following elements occur in listitem: `abstract`, `address`, `anchor`, `authorblurb`, `beginpage`, `bibliolist`, `blockquote`, `bridgehead`, `calloutlist`, `caution`, `classsynopsis`, `cmdsynopsis`, `constraintdef`, `constructorsynopsis`, `destructorsynopsis`, `epigraph`, `equation`, `example`, `fieldsynopsis`, `figure`, `formalpara`, `funcsynopsis`, `glosslist`, `graphic`, `graphicco`, `highlights`, `important`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `itemizedlist`, `literallayout`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `msgset`, `note`, `orderedlist`, `para`, `procedure`, `productionset`, `programlisting`, `programlistingco`, `qandaset`, `remark`, `screen`, `screenco`, `screenshot`, `segmentedlist`, `sidebar`, `simpara`, `simplelist`, `synopsis`, `table`, `task`, `tip`, `variablelist`, `warning`.

## Attributes

override

  `Override` specifies the keyword for the type of mark to be used on this `ListItem` instead of the mark currently in use for the list.

## See Also

`calloutlist`, `itemizedlist`, `orderedlist`, `segmentedlist`, `simplelist`, `variablelist`.

## Examples

For examples, see `highlights`, `itemizedlist`, `orderedlist`, `para`, `variablelist`, `xref`.

link |  | literal

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.